This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 346151

Summary: Create a kvm user account and kvm group
Product: [Fedora] Fedora Reporter: Josh Cogliati <jjcogliati-r1>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: rawhideCC: berrange, ehabkost, markmc, virt-maint, walovaton
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-16 06:34:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 498969, 500472    

Description Josh Cogliati 2007-10-22 20:04:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.8) Gecko/20071008 Firefox/2.0.0.8

Description of problem:
Running kvm usually requires being root or using sudo.  However, as suggested on the KVM FAQ http://kvm.qumranet.com/kvmwiki/FAQ#head-69bc2ce5da2f8fc4f1248afefd7bae00fa2dc277 the /dev/kvm file can have the group kvm by creating a file 
$ cat /etc/udev/rules.d/99-kvm.rules 
KERNEL=="kvm",MODE="0660",GROUP="kvm"

Then, anyone in the kvm group can use kvm. 

This is similar to  245728, except this request for enhancement is asking for a group instead of allowing any user to use kvm.  

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. run qemu-kvm as a regular user.  


Actual Results:


Expected Results:


Additional info:
Comment 1 Josh Cogliati 2007-11-12 18:19:05 EST
Problem still exists in f8.
Comment 2 Bug Zapper 2008-11-26 03:03:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Josh Cogliati 2008-11-26 22:47:24 EST
Still in f9
Comment 4 William Lovaton 2008-12-27 16:30:12 EST
Is there any reason why this group isn't created by default? it sounds like a good idea.
Comment 5 Daniel Berrange 2009-04-23 09:04:49 EDT
FYI, our intention is to make the device world accessible by defualt for future Fedora releases

https://bugzilla.redhat.com/show_bug.cgi?id=497341

I think it is still reasonable to also have a 'kvm' group for the /dev/kvm device, so we can leave this BZ open too
Comment 6 Daniel Berrange 2009-05-12 16:16:10 EDT
Adding that the RPM should also create a 'kvm' user account, so that libvirt's qemu:///system driver can run the QEMU / KVM processes as a system account that isn't root.
Comment 7 Mark McLoughlin 2009-05-21 16:39:51 EDT
See also:

  https://fedoraproject.org/wiki/Features/VirtPrivileges
Comment 8 Daniel Berrange 2009-07-16 06:34:42 EDT
The setup RPM already has a kvm group. In qemu-0.10.50-10.kvm87.fc12 we now create that if it does not already exist, to cope with upgrades from older Fedora. THe /dev/kvm device is also set to have 'kvm' group ownership